bifunctors-5.1: Bifunctors

Copyright | (C) 2008-2015 Edward Kmett
License | BSD-style (see the file LICENSE)
Maintainer | Edward Kmett <ekmett@gmail.com>
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Data.Bifunctor.Biff

Description

Synopsis

- newtype Biff p f g a b = Biff {
  - runBiff :: p (f a) (g b)
  }

# Documentation

newtype Biff p f g a b Source

Compose two `Functor`s on the inside of a `Bifunctor`.

Constructors

Biff |

Fields

runBiff :: p (f a) (g b)

Instances

(Bifunctor p, Functor f, Functor g) => Bifunctor (Biff p f g) Source |
(Bifoldable p, Foldable f, Foldable g) => Bifoldable (Biff p f g) Source |
(Bitraversable p, Traversable f, Traversable g) => Bitraversable (Biff p f g) Source |
(Biapplicative p, Applicative f, Applicative g) => Biapplicative (Biff p f g) Source |
(Bifunctor p, Functor g) => Functor (Biff p f g a) Source |
(Bifoldable p, Foldable g) => Foldable (Biff p f g a) Source |
(Bitraversable p, Traversable g) => Traversable (Biff p f g a) Source |
Eq (p (f a) (g b)) => Eq (Biff p f g a b) Source |
Ord (p (f a) (g b)) => Ord (Biff p f g a b) Source |
Read (p (f a) (g b)) => Read (Biff p f g a b) Source |
Show (p (f a) (g b)) => Show (Biff p f g a b) Source |